Simplesamlphp support for clustered memcache session store

Bug #1631808 reported by Aaron Wells on 2016-10-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
16.10
High
Unassigned

Bug Description

In Mahara 16.10's simplesamlphp auth plugin, we use memcache for simplesamlphp's session store. But it only supports one memcache server. For a clustered hosting environment, we need it to support multiple memcache servers (similar to how the PHP memcache sessions plugin does).

Aaron Wells (u-aaronw) wrote :
summary: - Feature: Simplesamlphp support for clustered memcache session store
+ Simplesamlphp support for clustered memcache session store
Changed in mahara:
status: New → In Progress
importance: Undecided → High
milestone: none → 16.10.0
Robert Lyon (robertl-9) on 2016-10-20
Changed in mahara:
milestone: 16.10.0 → 16.10.1
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.1 → 17.04.0

Reviewed: https://reviews.mahara.org/7092
Committed: https://git.mahara.org/mahara/mahara/commit/56f05d58a9724cd4463a5038a38e577de22eb8a4
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 56f05d58a9724cd4463a5038a38e577de22eb8a4
Author: Piers Harding <email address hidden>
Date: Fri Oct 7 14:17:29 2016 +1300

Bug 1631808: auth/saml: add framework for ssphp modules

* add ssphp module directory
* add option ssphpsessionhandler to config.php
* fix autoloader so modules happen propoerly including our own local ones

behatnotneeded

Change-Id: I81449d8d254e6501a03a11587441ac469c78a869

Robert Lyon (robertl-9) on 2016-10-30
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/7218
Committed: https://git.mahara.org/mahara/mahara/commit/db9855fc26f018e906dc2857cda3d895f5dabe6f
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit db9855fc26f018e906dc2857cda3d895f5dabe6f
Author: Piers Harding <email address hidden>
Date: Fri Oct 7 14:17:29 2016 +1300

Bug 1631808: auth/saml: add framework for ssphp modules

* add ssphp module directory
* add option ssphpsessionhandler to config.php
* fix autoloader so modules happen propoerly including our own local ones

behatnotneeded

Change-Id: I81449d8d254e6501a03a11587441ac469c78a869
(cherry picked from commit 56f05d58a9724cd4463a5038a38e577de22eb8a4)

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/7711
Committed: https://git.mahara.org/mahara/mahara/commit/a37e4dcb9f0cf61cfd8f06617068b7bc528bb576
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit a37e4dcb9f0cf61cfd8f06617068b7bc528bb576
Author: Robert Lyon <email address hidden>
Date: Tue May 2 11:23:26 2017 +1200

Bug 1687499: Adding in simplesamlphp memcached files

An oversight from Bug 1631808 where we missed the files to allow
memcached, we only added the settings to allow it.

behatnotneeded

Change-Id: If4233be809a7c73866333620747606e2a293c825
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "16.10_STABLE" branch: https://reviews.mahara.org/7850

Reviewed: https://reviews.mahara.org/7850
Committed: https://git.mahara.org/mahara/mahara/commit/23dcc767bd854d73a05c86212d495323c29e7e17
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 23dcc767bd854d73a05c86212d495323c29e7e17
Author: Robert Lyon <email address hidden>
Date: Tue May 2 11:23:26 2017 +1200

Bug 1687499: Adding in simplesamlphp memcached files

An oversight from Bug 1631808 where we missed the files to allow
memcached, we only added the settings to allow it.

behatnotneeded

Change-Id: If4233be809a7c73866333620747606e2a293c825
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit a37e4dcb9f0cf61cfd8f06617068b7bc528bb576)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7849
Committed: https://git.mahara.org/mahara/mahara/commit/07a81640ac7fd4e25cba61a2640b3be42fb541ec
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.04_STABLE

commit 07a81640ac7fd4e25cba61a2640b3be42fb541ec
Author: Robert Lyon <email address hidden>
Date: Tue May 2 11:23:26 2017 +1200

Bug 1687499: Adding in simplesamlphp memcached files

An oversight from Bug 1631808 where we missed the files to allow
memcached, we only added the settings to allow it.

behatnotneeded

Change-Id: If4233be809a7c73866333620747606e2a293c825
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit a37e4dcb9f0cf61cfd8f06617068b7bc528bb576)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers